#language: ru

@mutual_settlements

Функционал: 007. mutual_settlements. Кассовые ордера

Сценарий: 007.1. mutual_settlements. Создание приходного кассового ордера для реализации товаров Перекресток

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.007. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2ПриходныйКассовыйОрдер" без контроля ссылок
	И Я начинаю создавать приходный кассовый ордер на основании реализации товаров "РеализацияПерекрестокВзаиморасчеты"
	И в поле с именем 'Дата' я ввожу текст '27.03.2021  0:00:00'
	И из выпадающего списка с именем 'Касса' я выбираю по строке 'Основная касса Нижегородский МК'
	И в поле с именем 'ДатаПлатежа' я ввожу текст '27.03.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'ПриходныйКассовыйОрдерПерекресток'
	И я перехожу к закладке с именем "СтраницаРасшифровкаПлатежа"
	И в таблице "РасшифровкаПлатежа" я перехожу к строке:
		| 'Объект расчета'                         | 'Основание'                              | 'Сумма'     |
		| 'Соглашение с Перекрестком с 01.01.2021' | 'Соглашение с Перекрестком с 01.01.2021' | '27 750,00' |
	И в таблице "РасшифровкаПлатежа" в поле с именем 'РасшифровкаПлатежаСумма' я ввожу текст '12 750,00'
	И в таблице "РасшифровкаПлатежа" я завершаю редактирование строки
	* Проверка заполненных данных
		И элемент формы с именем "Операция" стал равен 'Поступление оплаты'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "Контрагент" стал равен 'Перекресток'
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '27.03.2021'
		И элемент формы с именем "Дата" стал равен '27.03.2021  0:00:00'
		И элемент формы с именем "СуммаДокумента" стал равен '12 750,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И таблица "РасшифровкаПлатежа" стала равной:
			| 'Основание'                              | 'Объект расчета'                         | 'Сумма'     |
			| 'Соглашение с Перекрестком с 01.01.2021' | 'Соглашение с Перекрестком с 01.01.2021' | '12 750,00' |
		И элемент формы с именем "ОснованиеДляПечати" стал равен 'Поступление оплаты от клиента'
		И элемент формы с именем "ПринятоОт" стал равен 'Перекресток'
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ПриходныйКассовыйОрдерПерекресток'
	* Записать
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Приходный кассовый ордер * от * [Создан] (не проведен)'
	* Провести
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Приходный кассовый ордер * от * [Создан]'
	И Я заканчиваю создавать приходный кассовый ордер на основании реализации товаров

Сценарий: 007.2. mutual_settlements. Проверка движений приходного кассового ордера для реализации товаров Перекресток

	И Я проверяю движения приходного кассового ордера "ПриходныйКассовыйОрдерПерекресток"

Сценарий: 007.3. mutual_settlements. Проверка печатной формы приходного кассового ордера для реализации товаров Перекресток

	И Я проверяю что печатная форма приходного кассового ордера "ПриходныйКассовыйОрдерПерекресток" равна макету "ПечатнаяФормаПриходногоКассовогоОрдераПерекресток"

Сценарий: 007.4. mutual_settlements. Создание приходного кассового ордера для реализации товаров Табрис

	И Я начинаю создавать приходный кассовый ордер на основании реализации товаров "РеализацияТабрисВзаиморасчеты"
	И в поле с именем 'Дата' я ввожу текст '26.03.2021  0:00:00'
	И из выпадающего списка с именем 'Касса' я выбираю по строке 'Основная касса Нижегородский МК'
	И в поле с именем 'ДатаПлатежа' я ввожу текст '26.03.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'ПриходныйКассовыйОрдерТабрис'
	* Проверка заполненных данных
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Поступление оплаты'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "Контрагент" стал равен 'Табрис'
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '26.03.2021'
		И элемент формы с именем "Дата" стал равен '26.03.2021  0:00:00'
		И элемент формы с именем "СуммаДокумента" стал равен '41 050,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И таблица "РасшифровкаПлатежа" стала равной по шаблону:
			| 'Основание'                        | 'Объект расчета'                       | 'Сумма'     |
			| 'Соглашение с Табрис с 01.01.2021' | 'Реализация товаров * от 17.03.2021 *' | '41 050,00' |
		И элемент формы с именем "ОснованиеДляПечати" стал равен 'Поступление оплаты от клиента'
		И элемент формы с именем "ПринятоОт" стал равен 'Табрис'
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ПриходныйКассовыйОрдерТабрис'
	И Я заканчиваю создавать приходный кассовый ордер на основании реализации товаров

Сценарий: 007.5. mutual_settlements. Проверка движений приходного кассового ордера для реализации товаров Табрис

	И Я проверяю движения приходного кассового ордера "ПриходныйКассовыйОрдерТабрис"

Сценарий: 007.6. mutual_settlements. Проверка печатной формы приходного кассового ордера для реализации товаров Табрис

	И Я проверяю что печатная форма приходного кассового ордера "ПриходныйКассовыйОрдерТабрис" равна макету "ПечатнаяФормаПриходногоКассовогоОрдераТабрис"

Сценарий: 007.7. mutual_settlements. Проверка невозможности создания приходного кассового ордера по реализации с формой оплаты Безналичными

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                  |
		| 'РеализацияЛентаВзаиморасчеты' |
	И я нажимаю на кнопку 'Приходный кассовый ордер'
	Тогда в логе сообщений TestClient есть строка "Нельзя создать документ оплаты наличными ДС, т.к. форма оплаты Безналичными"
	И Я закрываю окно 'Реализации товаров'

Сценарий: 007.8. mutual_settlements. Возврат оплаты клиенту Перекресток

	Дано я удаляю объекты "Документы.к2РасходныйКассовыйОрдер" без контроля ссылок
	И Я начинаю создавать расходный кассовый ордер с операцией "Возврат оплаты клиенту"
	* Заполнение вкладки Основное
		И в поле с именем 'Дата' я ввожу текст '29.03.2021  0:00:00'
		И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
		И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
		И из выпадающего списка с именем "Касса" я выбираю по строке 'Основная Касса Нижегородский МК'
		И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Перекресток'
		И в поле с именем 'Сумма' я ввожу текст '1 000,00'
		И в поле с именем 'ДатаПлатежа' я ввожу текст '29.03.2021  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'РасходныйКассовыйОрдерВозвратОплатыКлиенту'
	* Заполнение расшифровки платежа
		И я перехожу к закладке с именем "СтраницаРасшифровкаПлатежа"
		И я заполняю таблицу "РасшифровкаПлатежа" данными
			| 'Основание'                              | 'Сумма'    |
			| 'Соглашение с Перекрестком с 01.01.2021' | '1 000,00' |
		И в таблице "РасшифровкаПлатежа" я нажимаю кнопку выбора у реквизита с именем "РасшифровкаПлатежаОбъектРасчета"
		И Я выбираю "Соглашение с Перекрестком с 01.01.2021" с типом "Соглашение с контрагентом"
		Тогда открылось окно 'Расходный кассовый ордер (создание) *'
		И в таблице "РасшифровкаПлатежа" я завершаю редактирование строки
	* Проверка заполненных значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Возврат оплаты клиенту'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "БанковскийСчет" стал равен ''
		И элемент формы с именем "Контрагент" стал равен 'Перекресток'
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '29.03.2021  0:00:00'
		И элемент формы с именем "Дата" стал равен '29.03.2021  0:00:00'
		И элемент формы с именем "Сумма" стал равен '1 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И таблица "РасшифровкаПлатежа" стала равной:
			| 'Основание'                              | 'Объект расчета'                         | 'Сумма'    |
			| 'Соглашение с Перекрестком с 01.01.2021' | 'Соглашение с Перекрестком с 01.01.2021' | '1 000,00' |
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'РасходныйКассовыйОрдерВозвратОплатыКлиенту'
	* Записать
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Расходный кассовый ордер * от * [Создан] (не проведен)'
	* Провести
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Расходный кассовый ордер * от * [Создан]'
	И Я заканчиваю создавать расходный кассовый ордер

Сценарий: 007.9. mutual_settlements. Проверка движений расходного кассового ордера для возврата оплаты

	И Я проверяю движения расходного кассового ордера "РасходныйКассовыйОрдерВозвратОплатыКлиенту"

Сценарий: 007.10. mutual_settlements. Проверка печатной формы расходного кассового ордера для возврата оплаты

	И Я проверяю что печатная форма расходного кассового ордера "РасходныйКассовыйОрдерВозвратОплатыКлиенту" равна макету "ПечатнаяФормаРасходногоКассовогоОрдераВозвратОплатыКлиенту"

Сценарий: 007.11. mutual_settlements. Создание приходного кассового ордера - прочий приход

	И Я начинаю создавать приходный кассовый ордер с операцией "Прочие приходы"
	И в поле с именем 'Дата' я ввожу текст '01.04.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Касса" я выбираю по строке 'Основная Касса Нижегородский МК'
	И в поле с именем 'СуммаДокумента' я ввожу текст '7 000,00'
	И из выпадающего списка с именем "Валюта" я выбираю по строке 'RUB'
	И в поле с именем 'ДатаПлатежа' я ввожу текст '01.04.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'ПриходныйКассовыйОрдерПрочийПриход'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Прочие приходы'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "Контрагент" стал равен ''
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '01.04.2021'
		И элемент формы с именем "Дата" стал равен '01.04.2021  0:00:00'
		И элемент формы с именем "СуммаДокумента" стал равен '7 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "ПринятоОт" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ПриходныйКассовыйОрдерПрочийПриход'
	И Я заканчиваю создавать приходный кассовый ордер

Сценарий: 007.12. mutual_settlements. Проверка движений приходного кассового ордера - прочий приход

	И Я проверяю движения приходного кассового ордера "ПриходныйКассовыйОрдерПрочийПриход"

Сценарий: 007.13. mutual_settlements. Проверка печатной формы приходного кассового ордера - прочий приход

	И Я проверяю что печатная форма приходного кассового ордера "ПриходныйКассовыйОрдерПрочийПриход" равна макету "ПечатнаяФормаПриходногоКассовогоОрдераПрочийПриход"

Сценарий: 007.14. mutual_settlements. Создание расходного кассового ордера - Прочий расход

	И Я начинаю создавать расходный кассовый ордер с операцией "Прочие расходы"
	И в поле с именем 'Дата' я ввожу текст '02.04.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Касса" я выбираю по строке 'Основная Касса Нижегородский МК'
	И в поле с именем 'Сумма' я ввожу текст '1 000,00'
	И из выпадающего списка с именем "Валюта" я выбираю по строке 'RUB'
	И в поле с именем 'ДатаПлатежа' я ввожу текст '02.04.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'РасходныйКассовыйОрдерПрочийРасход'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Прочие расходы'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "БанковскийСчет" стал равен ''
		И элемент формы с именем "Контрагент" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '02.04.2021  0:00:00'
		И элемент формы с именем "Дата" стал равен '02.04.2021  0:00:00'
		И элемент формы с именем "Сумма" стал равен '1 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'РасходныйКассовыйОрдерПрочийРасход'
	И Я заканчиваю создавать расходный кассовый ордер

Сценарий: 007.15. mutual_settlements. Проверка движений расходного кассового ордера для прочих расходов

	И Я проверяю движения расходного кассового ордера "РасходныйКассовыйОрдерПрочийРасход"

Сценарий: 007.16. mutual_settlements. Проверка печатной формы расходного кассового ордера для прочих расходов

	И Я проверяю что печатная форма расходного кассового ордера "РасходныйКассовыйОрдерПрочийРасход" равна макету "ПечатнаяФормаРасходногоКассовогоОрдераПрочийРасход"

Сценарий: 007.17. mutual_settlements. Создание расходного кассового ордера - Инкассация в банк

	И Я начинаю создавать расходный кассовый ордер с операцией "Инкассация в банк"
	И в поле с именем 'Дата' я ввожу текст '03.04.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Касса" я выбираю по строке 'Основная Касса Нижегородский МК'
	И из выпадающего списка с именем "БанковскийСчет" я выбираю по строке 'СберБанк'
	И в поле с именем 'Сумма' я ввожу текст '3 000,00'
	И из выпадающего списка с именем "Валюта" я выбираю по строке 'RUB'
	И в поле с именем 'ДатаПлатежа' я ввожу текст '03.04.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'РасходныйКассовыйОрдерИнкассацияВБанк'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Инкассация в банк'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ПодотчетноеЛицо" стал равен ''
		И элемент формы с именем "БанковскийСчет" стал равен 'СберБанк'
		И элемент формы с именем "Контрагент" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '03.04.2021  0:00:00'
		И элемент формы с именем "Дата" стал равен '03.04.2021  0:00:00'
		И элемент формы с именем "Сумма" стал равен '3 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'РасходныйКассовыйОрдерИнкассацияВБанк'
	И Я заканчиваю создавать расходный кассовый ордер

Сценарий: 007.18. mutual_settlements. Проверка движений расходного кассового ордера для инкасации в банк

	И Я проверяю движения расходного кассового ордера "РасходныйКассовыйОрдерИнкассацияВБанк"

Сценарий: 007.19. mutual_settlements. Проверка печатной формы расходного кассового ордера для инкасации в банк

	И Я проверяю что печатная форма расходного кассового ордера "РасходныйКассовыйОрдерИнкассацияВБанк" равна макету "ПечатнаяФормаРасходногоКассовогоОрдераИнкассацияВБанк"

Сценарий: 007.20. mutual_settlements. Создание расходного кассового ордера - Выдача подотчетнику

	И Я начинаю создавать расходный кассовый ордер с операцией "Выдача подотчетнику"
	И в поле с именем 'Дата' я ввожу текст '04.04.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Касса" я выбираю по строке 'Основная Касса Нижегородский МК'
	И из выпадающего списка с именем "ПодотчетноеЛицо" я выбираю по строке 'Комаров И.О.'
	И в поле с именем 'Сумма' я ввожу текст '2 000,00'
	И из выпадающего списка с именем "Валюта" я выбираю по строке 'RUB'
	И в поле с именем 'ДатаПлатежа' я ввожу текст '04.04.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'РасходныйКассовыйОрдерВыдачаПодотчетнику'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Выдача подотчетнику'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ПодотчетноеЛицо" стал равен 'Комаров И.О.'
		И элемент формы с именем "БанковскийСчет" стал равен ''
		И элемент формы с именем "Контрагент" стал равен ''
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '04.04.2021  0:00:00'
		И элемент формы с именем "Дата" стал равен '04.04.2021  0:00:00'
		И элемент формы с именем "Сумма" стал равен '2 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'РасходныйКассовыйОрдерВыдачаПодотчетнику'
	И Я заканчиваю создавать расходный кассовый ордер

Сценарий: 007.21. mutual_settlements. Проверка движений расходного кассового ордера для выдачи подотчетнику

	И Я проверяю движения расходного кассового ордера "РасходныйКассовыйОрдерВыдачаПодотчетнику"

Сценарий: 007.22. mutual_settlements. Проверка печатной формы расходного кассового ордера для выдачи подотчетнику

	И Я проверяю что печатная форма расходного кассового ордера "РасходныйКассовыйОрдерВыдачаПодотчетнику" равна макету "ПечатнаяФормаРасходногоКассовогоОрдераВыдачаПодотчетнику"

Сценарий: 007.23. mutual_settlements. Создание приходного кассового ордера - Поступление от подотчетного лица

	И Я начинаю создавать приходный кассовый ордер с операцией "Поступление от подотчетного лица"
	И в поле с именем 'Дата' я ввожу текст '05.04.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Касса" я выбираю по строке 'Основная Касса Нижегородский МК'
	И из выпадающего списка с именем "ПодотчетноеЛицо" я выбираю по строке 'Комаров И.О.'
	И в поле с именем 'СуммаДокумента' я ввожу текст '1 000,00'
	И из выпадающего списка с именем "Валюта" я выбираю по строке 'RUB'
	И в поле с именем 'ДатаПлатежа' я ввожу текст '05.04.2021  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'ПриходныйКассовыйОрдерПоступлениеОтПодотчетногоЛица'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Операция" стал равен 'Поступление от подотчетного лица'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "Контрагент" стал равен ''
		И элемент формы с именем "ПодотчетноеЛицо" стал равен 'Комаров И.О.'
		И элемент формы с именем "Инвентаризация" стал равен ''
		И элемент формы с именем "ДатаПлатежа" стал равен '05.04.2021'
		И элемент формы с именем "Дата" стал равен '05.04.2021  0:00:00'
		И элемент формы с именем "СуммаДокумента" стал равен '1 000,00'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "ОснованиеДляПечати" стал равен ''
		И элемент формы с именем "ПринятоОт" стал равен ''
		И элемент формы с именем "Приложение" стал равен ''
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "Кассир" стал равен 'Администратор'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ПриходныйКассовыйОрдерПоступлениеОтПодотчетногоЛица'
	И Я заканчиваю создавать приходный кассовый ордер

Сценарий: 007.24. mutual_settlements. Проверка движений приходного кассового ордера - Поступление от подотчетного лица

	И Я проверяю движения приходного кассового ордера "ПриходныйКассовыйОрдерПоступлениеОтПодотчетногоЛица"

Сценарий: 007.25. mutual_settlements. Проверка печатной формы приходного кассового ордера - Поступление от подотчетного лица

	И Я проверяю что печатная форма приходного кассового ордера "ПриходныйКассовыйОрдерПоступлениеОтПодотчетногоЛица" равна макету "ПечатнаяФормаПриходногоКассовогоОрдераПоступлениеОтПодотчетногоЛица"

Сценарий: 007.26. mutual_settlements. Проверка отборов для приходного кассового ордера

	И В командном интерфейсе я выбираю 'Деньги' 'Приходные кассовые ордера'
	Тогда открылось окно 'Приходные кассовые ордера'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Касса'                           | 'Сумма'          | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Ответственный' | 'Комментарий'                                         |
		| '26.03.2021' | 'Основная Касса Нижегородский МК' | '41 050,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Табрис'      | 'Бухгалтерия'   | 'Администратор' | 'ПриходныйКассовыйОрдерТабрис'                        |
		| '27.03.2021' | 'Основная Касса Нижегородский МК' | '12 750,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Перекресток' | 'Бухгалтерия'   | 'Администратор' | 'ПриходныйКассовыйОрдерПерекресток'                   |
		| '01.04.2021' | 'Основная Касса Нижегородский МК' | '7 000,00, RUB'  | 'Создан'    | 'Нижегородский МК' | ''            | 'Бухгалтерия'   | 'Администратор' | 'ПриходныйКассовыйОрдерПрочийПриход'                  |
		| '05.04.2021' | 'Основная Касса Нижегородский МК' | '1 000,00, RUB'  | 'Создан'    | 'Нижегородский МК' | ''            | 'Бухгалтерия'   | 'Администратор' | 'ПриходныйКассовыйОрдерПоступлениеОтПодотчетногоЛица' |
	* Отбор по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "27.03.2021" по "27.03.2021"
		Тогда открылось окно 'Приходные кассовые ордера'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Касса'                           | 'Сумма'          | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Ответственный' | 'Комментарий'                       |
			| '27.03.2021' | 'Основная Касса Нижегородский МК' | '12 750,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Перекресток' | 'Бухгалтерия'   | 'Администратор' | 'ПриходныйКассовыйОрдерПерекресток' |
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Приходные кассовые ордера'
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Отбор по контрагенту
		И из выпадающего списка с именем "_Отбор_Контрагент" я выбираю по строке 'Перекресток'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Касса'                           | 'Сумма'          | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Ответственный' | 'Комментарий'                       |
			| '27.03.2021' | 'Основная Касса Нижегородский МК' | '12 750,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Перекресток' | 'Бухгалтерия'   | 'Администратор' | 'ПриходныйКассовыйОрдерПерекресток' |
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	* Отбор по кассе
		И из выпадающего списка с именем "_Отбор_Касса" я выбираю по строке 'Тестовая'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Касса"
	* Отбор по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Отбор по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Приходные кассовые ордера'

Сценарий: 007.27. mutual_settlements. Очистка отборов для приходного кассового ордера

	И В командном интерфейсе я выбираю 'Деньги' 'Приходные кассовые ордера'
	Тогда открылось окно 'Приходные кассовые ордера'
	* Очистка периода
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Приходные кассовые ордера'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Касса"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Приходные кассовые ордера'

Сценарий: 007.28. mutual_settlements. Проверка отборов для расходного кассового ордера

	И В командном интерфейсе я выбираю 'Деньги' 'Расходные кассовые ордера'
	Тогда открылось окно 'Расходные кассовые ордера'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Касса'                           | 'Сумма'         | 'Состояние' | 'Организация'      | 'Подразделение' | 'Ответственный' | 'Комментарий'                                |
		| '29.03.2021' | 'Основная Касса Нижегородский МК' | '1 000,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'РасходныйКассовыйОрдерВозвратОплатыКлиенту' |
		| '02.04.2021' | 'Основная Касса Нижегородский МК' | '1 000,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'РасходныйКассовыйОрдерПрочийРасход'         |
		| '03.04.2021' | 'Основная Касса Нижегородский МК' | '3 000,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'РасходныйКассовыйОрдерИнкассацияВБанк'       |
		| '04.04.2021' | 'Основная Касса Нижегородский МК' | '2 000,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'РасходныйКассовыйОрдерВыдачаПодотчетнику'   |
	* Отбор по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "29.03.2021" по "29.03.2021"
		Тогда открылось окно 'Расходные кассовые ордера'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Касса'                           | 'Сумма'         | 'Состояние' | 'Организация'      | 'Подразделение' | 'Ответственный' | 'Комментарий'                                |
			| '29.03.2021' | 'Основная Касса Нижегородский МК' | '1 000,00, RUB' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'РасходныйКассовыйОрдерВозвратОплатыКлиенту' |
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Расходные кассовые ордера'
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Отбор по кассе
		И из выпадающего списка с именем "_Отбор_Касса" я выбираю по строке 'Тестовая'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Касса"
	* Отбор по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Отбор по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Расходные кассовые ордера'

Сценарий: 007.29. mutual_settlements. Очистка отборов для расходного кассового ордера

	И В командном интерфейсе я выбираю 'Деньги' 'Расходные кассовые ордера'
	Тогда открылось окно 'Расходные кассовые ордера'
	* Очистка периода
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Расходные кассовые ордера'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Касса"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Расходные кассовые ордера'